+======================================+
   Discuz! X1.5 Release 20111221
+======================================+
FIX 修正dreferer对本地域名的判断
FIX 修正管理员访问加密相册时的Ajax出错
FIX 修改上传附件bug
FIX 删除影响性能的无用代码
FIX 群主的精华帖和置顶帖 权限判断

FIX SQL字符转义问题
FIX 修复投票跳转问题
FIX 修改IE9 JS兼容问题
FIX 安装界面调整
FIX 修复 函数名错误

FIX 批量删除帖子时更新主题回复数
FIX 模块中出生城市和居住城市不能选择的问题
FIX 截止目前发现的一些安全问题

+======================================+
   Discuz! X1.5 Release 20110817
+======================================+
FIX 关闭认证时允许修改相关的资料项
FIX 修正由于用户在后台填写大写的邮箱，校验失败的问题
FIX 限定当选择框中的字符串不为字母时，返回空值
FIX 修正上传图片需要审核时直接写入数据库的BUG
FIX 修正UTF-8下面提示的信息没有策略名称
FIX 论坛跳转的BUG
FIX 修改field引起的SQLBUG
FIX 修正验证码的问题
FIX 修改支付宝签约地址
FIX 修改默认安全设置， 禁止 msyql 当中使用注释
FIX 修补隐含的 XSS 安全问题

+======================================+
   Discuz! X1.5 Release 20110627
+======================================+
FIX bbcode 代码嵌套引起的解析代码混乱
FIX 修改通过ucenter备份论坛数据bug
FIX 解决程序中没有移除membermerage引用造成的500错误
FIX 修改游客时显示左侧导航，解决错位问题
FIX 修复刷在线时间的BUG
FIX 分页计算错误
FIX 修改日志相册图片的举报日志bug
FIX 活动帖“活动报名者管理”列表中的“查看”应为 'ctrlid'
FIX 用户组中，群组回帖审核开关无效

+======================================+
   Discuz! X1.5 Release 20110428
+======================================+

FIX 登录退出可刷在线时间BUG
FIX 插件机制嵌入点细节优化
FIX 会员模板过滤掉禁止发言、禁止访问、用户IP被禁止、游客、等待验证的会员
FIX 建议自动选择用户名默认开启
FIX 修复活动帖子和商品帖子的模块中图片的尺寸问题

FIX 个人空间 -> 各个风格顶部链接颜色修正
FIX 增加校验视频认证文件
FIX 修复 referer 判断问题
FIX 安装的数据文件中去掉cron_birthday_daily计划任务
FIX 解决Flash在FireFox下的跨站漏洞

FIX 退出群组时整理关注的群组
FIX 模块缩略图生成方式和模块数据排序问题
FIX 用户搜索时候的不准确问题
FIX 回收站取reason的问题，分开查询threadmod
FIX 聚合的新数据按正确的位置排序

FIX 回收站主题管理中低性能SQL 
FIX "内容审核”项目修复
FIX 版主管理中的低性能SQL 
FIX 修改后台清理用户bug
FIX 填写非正常表前缀(如：pre_aaabbb)
FIX 修正模块数据的显示顺序和调整顺序

FIX 修复部分安全隐患(感谢 http://www.wooyun.org/ 提供相关资料)

+======================================+
   Discuz! X1.5 Release 20110321
+======================================+
FIX 链接中带用户名的进行rawurlencode处理
FIX 修正发日志发文章的编辑器在 IE9 下的一些问题
FIX 帖子为从群组推到版时数据未过滤导致数据不正确
FIX 解决在有些版本MySQL中SQL报错
FIX 修复大WORD文档贴入日志等编辑器，触发saveUserdata(),时，IE下报磁盘已满，并停止提交表单的问题

FIX 允许查看用户全部的主题和帖子问题
FIX 修复投票选项数不到最大，但又不能编辑添加投票选项的问题。
FIX 改善了投票数达到最大时的JS提醒
FIX 群组帖子模块多次推送同一条数据时重复入库
FIX 没有聚合数据时模块原显示数据的清除

FIX 修复DIY模块只做数据缓存时模块所用的模板也同时做缓存
FIX 查看投票人的分页问题
FIX 主题合并未考虑帖子分表
FIX 更新封面时，更新相册时间
FIX 修改出生城市展示四级联动的BUG

FIX 排行榜取消日志(审核状态)的显示
FIX 活动帖时间不考虑时区了
FIX 修改设定默认首页的BUG
FIX 后台模块管理数据时的JS错误
FIX 模块推送数据的标题和内容的长度限制

FIX 修复1.5论坛公告按月分类无效的BUG
FIX 内存优化：只有隐藏输出的模块才在$_G中保存
FIX 修复x1.5 后台运行记录版主管理，选择日期后进行关键词搜索，日期被重置的BUG
FIX 重构模块数据更新机制的逻辑，确保在有推送数据、固定数据、修改过的源数据和新的源数据的情况下正确显示
FIX 更改分类信息宽度设置的注解，避免误导

FIX 群组主题分类数据库不存数据的BUG
FIX 群组主题分类分类默认勾选启用但不保存。
FIX 模块数据中出现 $ \ 等特殊字符时无法显示的问题
FIX 认证设置页面不判断 启用认证 及 认证名称的关系。
FIX 更正认证列表设置页面的一个语言包的错误

FIX 修改最大悬赏值的文字提示
FIX 道具红包清理时，访问别人的空间，当已经领取或使用过时，导致清理“自己”空间的道具。
FIX 修复无限期勋章颁发的BUG
FIX 修复个人空间DIY时，报错信息有误
FIX 修复个人空间资料页面 用户组到期被lastsendmail强制转换时间为1970的BUG

FIX 修复帖子优化时重复插入数据的问题
FIX 插件变量类型错误
FIX 模板文件不存在时直接返回false
FIX 用户栏目某字段被设置为不可更改，但活动贴中需要改项资料时无法修改和入库的问题
FIX 修正漫游搜索页面返回首页直接返回家园首页的问题，现在是跟后台的设置

FIX DIY模块生成黑图的问题
FIX 修复当设置了 “本地附件 URL 地址” 为 http:// 开头的地址时，仍然添加本站地址造成地址拼接错误的问题。
FIX 在删除用户或其他情况下导致通知、好友请求、打招呼数不准确时修复成正确的数值
FIX 删除相册在本地保存的原始图片
FIX 修复记录的隐私设置

FIX 后台插件导入机制安全检查

+======================================+
   Discuz! X1.5 Release 20110121
+======================================+
FIX 修改搜索本版切换成搜索论坛的问题
FIX 过滤记录模块中被审核中的内容
FIX 修改群主更改群组图标的时候，setting中的缓存群组图标不变化的问题
FIX 解决IE6下邀请只能选20个用户的问题
FIX 修复只分配模块权限，不分配页面权限时无法在推送页面显示此模块的问题

FIX 同步签名问题
FIX 修正论坛积分策略全局策略中有效范围问题
FIX 增加用户组到期时间显示
FIX 修正不修改密码，只修改用户其他资料需要重新登录BUG
FIX 后台删除头像更改用户表头像字段

FIX 修改邀请好友有些好友没被选中的BUG
FIX 用户锁定时，帖内用户头像，签名，帖子内容隐藏的判断有问题
FIX 大页码显示容易使页面变形 修改
FIX dx1.5 没有添加广告，但是发布悬赏帖，帖子右边空缺一块
FIX chrome下的ajaxpost 的bug 
FIX 搜索不显示隐藏版块

FIX 美女和帅哥排行榜查询优化
FIX 优化 t.fid IN(三万多ID)的情况
FIX 排行榜之好友数排行慢查询优化
FIX 收藏数使用索引

FIX 禁止积分规则设置小数点的分数值
FIX 任务周期（周、月）修正
FIX 评价文字阐述颠倒
FIX 修复变量错误
 
FIX 如果修改城市，则初始化已的数据
FIX 用户清理的BUG
FIX 修改路径解析错语的BUG
FIX 如果没有二级域名，判断家园是否绑定域名，绑定域名则显示家园的地址

FIX 处理DIY模块数据a标签的title值的同步
FIX 修改URL解析跨站漏洞
FIX 降低allownetworking的级别

+======================================+
   Discuz! X1.5 Release 20101228
+======================================+
FIX DIY管理模板路径问题
FIX 修复漫游API调用问题
FIX 修复频道栏目权限判断
FIX diy调用会员模块竞价排名和排行榜那里的竞价排名不一致
FIX 部分页面的IE6兼容性

FIX 个人空间首页获取到的空间域名错误的BUG
FIX 后台批量移动相册分类问题
FIX 导出csv文件时，如果不是gbk就转换成ＧＢＫ编码 X1.5
FIX 去掉“群组成员数”统计
FIX 回帖的允许查看主题权限判断

FIX 群组中只允许一级置顶
FIX 锁定用户后漫游搜索还能搜索到的BUG
FIX 草稿不受编辑期限的限制
FIX 带进访问推广的参数
FIX GP变量 filname 中的一处 单引号过滤

FIX 回帖的是否显示相关的两个字段的处理:status和invisible
FIX 快速回帖 flash 的问题
FIX 装扮空间中的音乐盒无法删除
FIX 修复分类信息审核中不显示
FIX groupicon 缓存
 
FIX 收费附件中 free 和 hide 组合下的问题
FIX 修复 DIY导入script大写时执行的问题
FIX 用户栏目中的星座生肖自动计算的问题
FIX {parity}标签的解析
FIX 管理员在编辑会员已经发布成功的日志页面，无法返回上一页bug修改
 
FIX 会员隐身的情况下，个人资料和名片页还显示在线bug修改
FIX 群组名含引号时不能编辑的问题
FIX 链接里带“@”符号以及带参数的链接　站外ＵＲＬ相关正则匹配问题
FIX 多次操作屏蔽、警告时PID重复的问题
FIX 新建版块有继承时，处理主题分类

FIX 编辑被移动题帖时，同步保留的转向的标题（包括群组推荐到论坛的帖子）
FIX 活动帖过期时间问题
FIX 升级后联系方式问题
FIX 允许管理员修改禁止修改的用户资料项
FIX 模块属性设置不更新时永不更新 x.15无此功能

FIX 任务周期（周、月）的判断错误
FIX 增加限制条件去掉无效的表态数据
FIX 当漫游中应用变更版本号时，重新获取应用图标
FIX 支付宝的返回通知接口更新
FIX viewthread翻页中多余的参数

+======================================+
   Discuz! X1.5 Release 20101125
+======================================+
FIX 清理每月在线时间计划任务
FIX 个人分烦没有执行Ajax更新的BUG
FIX 高级搜索带链接过去
FIX 勋章中注册时间的BUG
FIX 特殊主题插件第二页修正

FIX 日志和相册系统分类调用的问题
FIX 活动报名人数
FIX 去掉给导出加的转码UCS-2LE
FIX 任务勋章重复奖励
FIX 修改删除主题时的bug

FIX 修改统计，审核的帖子回复都算入统计中
FIX 提示增加到版块列表中
FIX 删除冗余代码
FIX 修改积分BUG当清空时恢复默认积分策略
FIX 登陆用户去重

FIX 删除封面图片
FIX 完善用户名相关的Ajax错误提示
FIX 当没有找到二级域名根的时候，让其跳一次
FIX html2bbcode的<p>xx</p>转换为xx<br />
FIX 关闭的用户栏目无法完成任务

FIX 版块单独设置积分规则
FIX 论坛热点缓存问题修正
FIX 频道在导航中禁止修复名称
FIX 语言包，及分类显示问题
FIX 排行榜泄露隐身

FIX 重建贴数不包含点评
FIX 游客可发草稿的bug
FIX 版块合并使用的加号合并数组导致
FIX 财付通升级，无法测试
FIX 会员lastip 转换错误

FIX 修改正表情解析引发的问题
FIX 修正不允许发HTML的时候严格去掉所有关于HTML事情的动作
FIX 关闭站点+验证码的情况下的BUG
FIX 获取指定帖子、主题时取消回收站、待审核等类型限制
FIX 群组发帖js错误

FIX member_count 表不存在的时候 uid 字段返回值被清空
FIX 群组浏览权限和待审核的逻辑问题
FIX 数据备份多备份了一些表
FIX DIY帖子附件调用的问题
FIX 群组没有rules了

FIX 恢复点评的弹窗模式
FIX 商品效期显示修正
FIX 重新设置misc可游客访问的页面
FIX 颜色编辑器弹出层在滚动条拖动时的问题
FIX 用非设置的二级域名访问时，直接location到默认域名下

FIX 后台版块上传banner时不截取，提示两个宽度
FIX 个人资料项目和隐私判断冲突修正
FIX 新建模块时的部分初始化选项不显示
FIX 趋势统计关闭后导航不显示
FIX 分类信息可选项判断错误

FIX 用户排行榜缓存更新
FIX 统一 版块积分策略留空为使用全局

+======================================+
   Discuz! X1.5 Release 20101020
+======================================+
FIX 帖子和群组帖子可以推送到帖子模块和附件模块
FIX 勋章计划任务修复
FIX 主题列表修复过滤
FIX 给个人空间主页开头，解决排行不扣分的问题
FIX 火狐注册跳转referer修改
FIX 附件下载的下载工具支持
FIX 修复 DIY分类信息模板中的图片项显示问题。
FIX 加精、置顶等主题设置有效期时，过了有效期后记录漫游日志
FIX 修复 匿名回帖问题
FIX 移动的Fid不对
FIX 版块存在自定义风格时无法diy
FIX 修复 tab框架中模块标题样式问题
FIX 新增复制主题时对分类信息的复制
FIX 修复 匿名帖在文章模式下的问题
FIX 修复后台管理组编辑允许搜索时6个按位与的二进制有错误的BUG,
FIX cleanup计划任务的测试修改
FIX 修复广场-进入某个模块帖子列表上方有“精华和推荐” 切换丢失主题并且解决了分页的问题
FIX 版块合并未处理主题分类
FIX 修复 频道不在主导航上显示时，频道的二级导航跟主页一样
FIX 每个自然月中，相同买家和卖家之间的评价计分最大值 
FIX 修改额外应用数据被隐藏的BUG
FIX 发帖入相册IE6下兼容性
FIX 名片记录修正
FIX 全局积分策略与板块积分策略冲突的问题 
FIX 同一IP在24小时只能注册XX次 调整
FIX 多版块搜索FIX
FIX 修复 门户管理中模块管理非DIY模块不显示
FIX 后台审核发通知修复
FIX 版主可以跨版块管理“活动帖”内的参与人员名单的BUG。
FIX  每个自然月中，相同买家和卖家之间的评价计分最大值 
FIX 修正明星会员BUG
FIX 修正 管理员删除游客贴子会被扣分
FIX 修改多个附件完成后，返回的附件列表没有排序的问题
FIX 删除帖子之后，调回到的帖子列表页，不是原先的页数了
FIX 文章大图片居中时在 IE8 下会乱掉
FIX 修复 判断目录名重复错误
FIX IIS6 rewrite规则修复, 兼容?后参数
FIX 修复 会员数搜索BUG
FIX 修复 评论页面中发表评论链接的问题
FIX 后台用户搜索 用户锁定，视频认证，头像
FIX  审核通过分享的feed的用户显示错误
FIX  导出数据用户性别数据的处理
FIX 数组参数的处理
FIX 变量未初始化导致删除的数据不更新
FIX 将漫游接口版本更改为0.2
FIX 分类信息bug 数字检查和语言包参数传递
FIX IE6下浮动窗口造成浏览器非法操作的问题
FIX 修改UC传递过来的删除用户链接错误的BUG
FIX 修改认证图标为空时就不累加前缀
FIX  用户栏目中多选列表框数据无法保存的问题
FIX  个人空间的自定义装扮中，头部文字的颜色设定无效的问题

+======================================+
   Discuz! X1.5 Release 20101001
+======================================+
FIX 部分服务器环境无法安装问题
FIX 版块的权限控制中上传图片权限的问题
FIX 后台主题回收站操作人不准确
FIX ie浏览器下 diy的投票 点击后 出现无法显示网页或者提示php虚拟内存不足
FIX 上传flash广告无效，前台有广告位但是地址为空
FIX 找回密码页面，账号、邮箱不对时系统提示错误
FIX 设置论坛签名的时候[b]标签问题
FIX 后台--用户--用户栏目 编辑顺序后无变化
FIX 同一IP限制24小时注册次数问题
FIX 后台积分变动记录错位
FIX 从7.2转换至X1.5，收藏数据丢失问题
FIX 无图片的商品在DIY调用时，图片路径解析不正确
FIX 热门关键词搜索问题
FIX IE8下点击添加应用后无反应，页面空白
FIX 分类信息字段为多选(checkbox)不能正常参与搜索
FIX 屏蔽好友动态设置无效
FIX 帖子生成文章的[align=]不解析问题了也存在于群组帖子中
FIX 升级成1.5之后的部分网站的feed不能解析{subject}等
FIX 前台修改版块规则 会清空版块简介
FIX PHP v4.3.9版本无法DIY
FIX 居住地选项四级是空的，活动贴设置必选会出错
FIX 取消风格编辑里的阅读区域宽度设置
FIX 版块名称8个字 包含<符号 无法显示完整
FIX 头像任务无法完成
FIX 邀请注册记录无法删除
FIX 全新安装或升级上来的站点，优化设置里广场的描述有问题
FIX 在线会员时间显示，隐身时始终显示8:00
FIX 帖子浏览数延时更新问题
FIX 页头积分可隐藏
FIX 修复用户模块权限判断
FIX 修改邀请码提示框
FIX 常量 IMGDIR 替换为 $_G['style']['imgdir']
FIX 编辑器所见即所得模式下的默认字体大小随着 {MSGFONTSIZE} 的值走
FIX 广告 -> 格子广告内容居中显示
FIX 复选框分类信息字段搜索显示问题
FIX 其他更多细节调整不一一列出 ...

+======================================+
   Discuz! X1.5 Release 20100920
+======================================+

[风格模板]
重构 风格模板以及CSS，让风格制作更简易
降低 页面数据输出量，提升页面渲染速度
调整 各功能显示细节，增大提示信息的友好度
改善 直接下载收费附件的用户体验
改善 趋势统计功能用户体验改进
改进 论坛提示系统的显示
优化 整站颜色选择器的JS

[程序功能]
增强 任务系统，有奖任务完成后可自动领取奖励
增强 批量上传图片，可选择相册分类
增强 邀请注册码功能，融合论坛和空间的邀请机制
增强 门户发布文章以及相关文章、封面图片

增强 DIY 模块扩展机制，增加更多调用数据种类
增强 门户模式看帖同时提供论坛模式看帖的链接
增强 记录可以嵌入发布表情、链接及图片
增强 [分享功能]分享次数纪录、同一分享去重
增加 “一周热门点击的文章”的模块

增强 文章增加多标签，便于聚合
增强 模块数据快速调整显示顺序
增强 注册邮箱验证邮件内容、更改邮箱邮件内容、激活链接
增强 门户文章分类 增加排序功能
增强 论坛编辑器，提供简洁、高级视图

新增 对推送到文章里面的帖子，显示推送标志
新增 板块日发帖统计，可支持月度报表
新增 自定义Discuz！代码支持用户组权限控制
新增 论坛名片功能，在头像、用户名处可显示用户名片和常用操作
恢复 论坛的archiver 功能
恢复 论坛的统计 功能
恢复 论坛的在线时间统计 功能

新增 [版块帖子列表]标题支持html（或者可以插入广告）
新增 用户视频认证在名片里面的显示
新增 实名认证审核平台
新增 未通过审核的帖子对发帖者可见
新增 前台帖子的【评分】 显示评分区间、今日剩余评分数
新增 [我的中心]我的主题增加“我的点评”
新增

增强 活动贴 对参与者批量发通知
增强 活动帖 参与活动可以关联系统需要内置资料项目：联系人、qq、电话
增强 活动帖 让参与者支付一定积分才可以参与活动
增强 活动帖 参加活动固定格式
增强 活动贴 审核不通过的流程改进
增强 活动帖 参与者信息只对发起者可见

增强 群组与论坛版块的关联改进
增强 非群组成员，在群组内发帖提示
增强 群组首页、我的群组改版、群组搜索页调整


[管理功能]

新增 全站导航栏设计，并实现主体功能名字同步
新增 群组的后台批量管理主题
新增 编辑用户的时候，可以查看该用户是否已经激活邮箱，并可以进行设置
新增 后台文章评论的批量管理功能

新增 注册审核]当地IP注册通过，外地IP需要审核
新增 模块的权限批量设置、文章分类的权限继承
新增 斑竹禁止他人发言后，以短消息的方式通知本人
新增 批量设置管理组功能
新增 用户资料的报表导出

新增 后台管理常用链接，以及自定义管理链接

增强 版块图标、图标大小设置改进
增强 [帖子审核]后台审核功能改进
增强 [举报]对管理员提醒举报数目的功能
增强 版块独立风格、独立域名设置
增强 友情链接，分门户、论坛两部分，并支持分组
增强 后台版块数量多的时候，默认折叠显示

增强 打开评分最高只能999的上限
增强 门户/论坛/群组/空间 －－ 全局格子广告
增强 后台搜索用户后，可以查看用户发布的各类信息统计，并可以清理数据
增强 [帖子审核]单个处理模式，关键字高亮，IP直接显示为地址

改进 站长浏览用户可直接进入个人资料页面
改进 批量删回帖，默认增加时间限制，防止服务器挂掉
改进 [用户管理]用户搜索的效率问题

[系统优化]
优化 点击数延迟更新及内存机制
规划 X系统错误日志，增加去重以及程序追踪信息
新增 社区系统未知漏洞防御体系
优化 安装程序，降低内存占用
优化 模块模板中的语法改进
优化 各页面标题的seo优化和重建，门户、论坛、群组、家园，支持自定义标题、关键字、描述
优化 社区邮件发送系统，支持多个smtp服务器轮询

... 更多详细改进请见我们的开发日志
 http://www.discuz.net/dev.php

+--------------------------------------+
往日版本( Old Vision )
+--------------------------------------+
Discuz! X1 Beta Release 20100501
Discuz! X1 Release 20100518
Discuz! X1 Release 20100601
Discuz! X1 Release 20100613
Discuz! X1 Release 20100723
Discuz! X1.5RC Release 20100901
